@font-face {
  font-family: shabnam;
  src: url(../font/Shabnam.eot) format("eot");
  src: url(../font/Shabnam.ttf) format("ttf");
  src: url(../font/Shabnam.woff) format("woff");
  src: url(../font/Shabnam.woff2) format("woff2");
}
* {
  direction: rtl;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-size: 16px;
  font-family: shabnam;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
body {
  display: grid;
  place-items: center;
}
.container {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 400px;
  height: 380px;
  background-color: #fff;
  border-radius: 10px;
  border: 1px solid #e3e3e5;
  overflow: hidden;
}
.designer{
    margin-top: 20px;
    font-size: 0.9rem !important;
    color: #979797;
}
.guide {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  padding: 25px;
  z-index: 2;
}
.guide p {
  text-align: justify;
}
.guide button {
  padding: 10px 60px;
  margin-top: 15px;
  background-color: #ef4056;
  color: #fff;
  outline: none;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.guide button:hover {
  background-color: #c03547;
}
.gameC {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-flow: column;
  align-items: center;
  background-color: #fff;
  padding: 25px;
  z-index: 1;
}
.scoreC {
  margin: 30px 0;
}
.yourLastScore {
  margin-right: 20px;
}
.gameC p {
  font-size: 1.2rem;
}
.gameC .btnC {
  margin: 20px 0;
}
.gameC .btnC .btn {
  width: 100px;
  margin: 20px;
  padding: 10px 15px;
  margin-top: 15px;
  color: #fff;
  outline: none;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.no {
  background-color: #ef4056;
}
.no:hover {
  background-color: #c03547;
}
.yes {
  background-color: #04aa6d;
}
.yes:hover {
  background-color: #038a58;
}
.progressBarC {
  margin-top: 10px;
  width: 300px;
  height: 20px;
  border: 1px solid #e3e3e5;
  border-radius: 5px;
}
.progressBar {
  width: 1%;
  height: 100%;
  border-radius: 5px;
  background-color: #038a58;
}
.gameLose {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  background-color: #fff;
  padding: 25px;
  z-index: 0;
}
.gameLose .scoreC {
  margin-bottom: 35px;
}
.gameLose .btn {
  width: 180px;
  height: fit-content;
  padding: 15px;
  margin-bottom: 15px;
  background-color: #ef4056;
  color: #fff;
  outline: none;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.gameLose .btn:hover {
  background-color: #c03547;
}
.winner {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  padding: 25px;
  z-index: -1;
}
.winner p {
  margin: 10px 0;
}
.winner .btn {
  width: 180px;
  height: fit-content;
  padding: 15px;
  margin: 15px 0;
  background-color: #ef4056;
  color: #fff;
  outline: none;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.winner .btn:hover {
    background-color: #c03547;
  }

@media screen and (max-width: 428px) {
  .container {
    width: 95%;
    top: 20px;
    transform: translateY(0);
  }
}
@media screen and (max-width: 351px) {
  .designer{
    font-size: 0.7rem !important;
  }  
  .guide p {
    font-size: 0.9rem;
  }
  .winner p {
    font-size: 0.9rem;
  }
  .yourScore {
    font-size: 0.8rem;
  }
  .yourLastScore {
    font-size: 0.8rem;
  }
  .gameC .btnC .btn {
    width: 80px;
    margin: 20px 10px;
  }
  .progressBarC {
    width: 250px;
  }
}
